services:
  minetest:
    image: lscr.io/linuxserver/minetest:latest
    container_name: minetest
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/UTC
      - "CLI_ARGS=--gameid garage"
    volumes:
      - ./data:/defaults
      - ./conf:/config/.minetest/main-config
    ports:
      - 30001:30000/udp
    restart: unless-stopped